## Встроенные объекты конфигурации {#sec.buildin_objects}

Конфигурация Synergy CRM включает в себя преднастроенные элементы:

*   [Группы](#groups)

*   [Счетчики](#counters)

*   [Шаблоны номеров](#pattern_number)

*   [Формы](#forms)

*   [Пользовательские компоненты](#userModules)

*   [Пользовательские компоненты на форме](#user_components)

*   [Внешние модули-компоненты](#vmc)

*   [Реестры](#registries)

*   [Группы реестров](#registriesGroup)

*   [Справочники](#dictionaries)

*   [Создание документов](#createDoc)

*   [Внешние модули](#externalModules)

### Группы {#groups}

Группы пользователей с такими кодами:

*   Все маркетологи - crm_groups_all_marketing_specialists:

    *   Маркетологи-менеджеры - crm_groups_marketing_managers: 

        * "Маркетологи-менеджеры по Алматы" - `crm_groups_marketing_managers_Almaty`

        * "Маркетологи-менеджеры по Астане" - `crm_groups_marketing_managers_Astana`

    *   Маркетологи-специалисты - crm_groups_marketing_specialists:

        * "Маркетологи-специалисты по Алматы" - `crm_groups_marketing_specialists_Almaty`

        * "Маркетологи-специалисты по Астане" - `crm_groups_marketing_specialists_Astana`

    * "Руководитель отдела маркетинга" - `crm_groups_marketing_head`

*   Все специалисты по продажам - crm_groups_all_sales_specialists:

    *   Менеджеры по продажам - crm_groups_sales_managers: 

        * "Менеджеры по продажам Алматы" - `crm_groups_sales_managers_Almaty`
        
        * "Менеджеры по продажам Астана" - `crm_groups_sales_managers_Astana`

    *   Специалисты по продажам - crm_groups_sales_specialists:

        * "Специалисты по продажам Алматы" - `crm_groups_sales_specialists_Almaty`

        * "Специалисты по продажам Астана" - `crm_groups_sales_specialists_Astana`

    * "Руководитель отдела продаж" - `crm_groups_sales_head`

*   "Центральный аппарат" - `crm_groups_head`

### Счетчики {#counters}

#### Счетчик каталога товаров и услуг {#countersCatalog}

Свойства счетчика:

+--------------------------+----------------------------------------+
| Свойство                 | Значение                               |
+==========================+========================================+
| Код                      | crm_counter_catalog                    |
+--------------------------+----------------------------------------+
| Начальное значение       | 1                                      |
+--------------------------+----------------------------------------+
| Следующее значение       | 1                                      |
+--------------------------+----------------------------------------+
| Период сброса            | Никогда                                |
+--------------------------+----------------------------------------+

### Шаблоны номеров {#pattern_number}

#### Номер товара в каталоге {#pattern_number_Catalog}

Свойства шаблона номера:

+--------------------------+----------------------------------------+
| Свойство                 | Значение                               |
+==========================+========================================+
| Название                 | Номер товара в каталоге                |
+--------------------------+----------------------------------------+
| Формула                  | {crm_counter_catalog}                  |
+--------------------------+----------------------------------------+
| Код                      | crm_number_catalog                     |
+--------------------------+----------------------------------------+

<#include "crm_consist/forms.md">
<#include "crm_consist/user_modules.md">
<#include "crm_consist/registries.md">
<#include "crm_consist/registries_group.md">
<#include "crm_consist/dictionaries.md">
<#include "crm_consist/create_document.md">

### Внешние модули {#externalModules}

#### Маркетинг {#marketing}

+--------------------------------------------------------+----------------------------------------------------------------------------------------+
| Свойство                                               | Значение                                                                               |
+========================================================+========================================================================================+
| Код                                                    | crm_ext1Lead                                                                           |
+--------------------------------------------------------+----------------------------------------------------------------------------------------+
| Адрес приложения                                       | [URL](http://tdd.lan.arta.kz/docs/cases/crm/additional/html/crm_without_data.html)/crm |
+--------------------------------------------------------+----------------------------------------------------------------------------------------+

#### Управление продажами {#sales}

+--------------------------------------------------------+---------------------------------------------------------------------------------------------+
| Свойство                                               | Значение                                                                                    |
+========================================================+=============================================================================================+
| Код                                                    | crm_ext2Deal                                                                                |
+--------------------------------------------------------+---------------------------------------------------------------------------------------------+
| Адрес приложения                                       | [URL](http://tdd.lan.arta.kz/docs/cases/crm/additional/html/crm_without_data.html)/crm/deal |
+--------------------------------------------------------+---------------------------------------------------------------------------------------------+

<#include "crm_consist/user_components.md">
<#include "crm_consist/reminder.md">


