### Поток {#marketing.pipeline}

По нажатию на кнопку "Поток" вид основной области изменяется на поток
лидогенерации, который является развернутым представлением воронки
лидогенерации с детализацией сведений о лидах:

![Поток лидогенерации](resources/img/canban.png)

Основная рабочая область содержит панели лидов, расположенные в виде
таблицы, где:

*   столбцы - статусы лида (значения crm_dict_leadStatus_name записи
    справочника [crm_dict_leadStatus](#dictionaryLeadStatus)) согласно
    текущей [фильтрации](#marketing.filters)

*   строки - лиды

Панели статусов окрашены в цвета, указанные в поле `crm_dict_leadStatus_color`
записи справочника [`crm_dict_leadStatus`](#dictionaryLeadStatus).

Панели лидов отсортированы в столбце по убыванию значений компонента
[Потенциальный бюджет](#formLead) всех лидов текущего статуса.

Переместить панели лида можно из всех столцов, *кроме* столбца статуса,
соответствующего записи справочника [crm_dict_leadStatus](#dictionaryLeadStatus)
со значением crm_dict_leadStatus_end=1, в любой столбец без исключений.

При перемещении панели лида между стоблцами изменяется значение поля "Статус"
данной записи реестра [Лид](#registryLead) согласно новому статусу
(столбцу таблицы).

Перемещение панели лида в столбец статуса, соответствующего записи справочника
[crm_dict_leadStatus](#dictionaryLeadStatus) со значением
crm_dict_leadStatus_end=1, аналогично нажатию на кнопку
[создания новой записи реестра "Сделка"](#user_components.button). В данном случае
откроется новая запись реестра [Сделка](#registryDeal).

Панель статуса содержит:

*   Значение `crm_dict_leadStatus_name` записи справочника
[`crm_dict_leadStatus`](#dictionaryLeadStatus)

*   Количество лидов данного статуса

*   Сумма значений компонента [Потенциальный бюджет](#formLead) всех
    лидов текущего статуса.

Панель лида содержит значение полей:

- [Наименование аккаунта](#registryAccount)

- [Тема сотрудничества](#formLead)

- [Потенциальный бюджет](#formLead)

- [Ответственный менеджер](#formLead) (отображается в панели лида
только для руководителя).

В счетчик количества лидов входят лишь те лиды, в [мероприятиях](#formEvent)
которых в поле `crm_form_event_responsibleManager_responsible` указаны
выбранные [пользователи](#marketing.users).

По нажатию на панель лида откроется соответствующая запись реестра
[Лид](#registryLead).

Если в [фильтре](#marketing.filters) выбран один статус лида, то его панель
также будет отображена во всю ширину потока:

![Поток статуса "Некачественный лид"](resources/img/canban_2.png)

**Примечание 1:** имеется возможность перемещения панелей лидов горизонтально
между столбцами при помощи drag-n-drop, при этом статус лида не изменится.

**Примечание 2 :** цвет фона [наименования аккаунта](#registryAccount) в
панели - значение `crm_dict_leadStatus_color` записи справочника
[`crm_dict_leadStatus`](#dictionaryLeadStatus) выбранного статуса с
прозрачностью 30%.

*   Все поля в панелях лида и статуса отображаются на одной строке без
    переносов.

*   Если значение поля в панели лида или статуса такое, что не
    отображается в строке полностью, текст обрезается с добавлением
    многоточие.

*   Для полей в панелях лида и статуса имеются тултипы.

*   Имеется возможность перемещения панелей лидов горизонтально между
    столбцами при помощи drag-n-drop. При этом статус лида не изменится.

*   Ширина каждого столбца одинаково пропорциональна и в сумме составляет
    общую ширину основной рабочей области.

*   Минимальная ширина столбца - 200px.

*   Если таблица содержит один статус, то ее столбец отображается на
    ширину всей рабочей области.

*   Если количество столбцов такое, что они не отображаются в основной
    рабочей области полностью, отображается горизонтальный скролл.

*   Если количество панелей лидов такое, что не отображается в основной
    рабочей области полностью, отображается вертикальный скролл.

*   При прокрутке таблицы строка заголовков (статусов лида) имеет
    фиксированное положение.
