### Боковая панель {#marketing.sidePannel}

Боковая панель предназначена для фильтрации сведений о лидах, котодые
должны включаться в воронку/поток лидогенерации. Изменение значений
настроек боковой панели сопровождается анимацией загрузки, во время
которой все кнопки статусов лидов недоступны для нажатия.

На панели расположена кнопка "Скрыть", по нажатию на которую боковая 
панель скрывается, в верхней панели рабочей поверхности отображается 
кнопка "Показать". 

По нажатию на кнопку "Показать" отображается боковая панель, которая 
содержит кнопку "Скрыть". 

Доступна настройка следующих параметров отображения:

- [мероприятие](#marketing.event)

- [пользователи](#marketing.users)

- [фильтры](#marketing.filters)


#### Мероприятие {#marketing.event}

Параметр "Мероприятие" позволяет выбрать записи реестра
["Маркетинговые мероприятия"](#registryEvent) для оценки количества лидов,
привлеченных определенными мероприятиями. Также существует возможность
отображения статистики по лидам, привлеченным вне проведенных мероприятий
(флаг "Показывать лиды, не привязанные к мероприятиям", по умолчанию включен).

Для выбора мероприятия пользователь нажимает на кнопку <...>. Открывается
диалог выбора мероприятий:

![Диалог выбора мероприятий](resources/img/eventChooser.png)

Список записей в параметре ограничен правами авторизованного пользователя:

*   руководителю отображаются мероприятия, в которых ответственным менеджером
является он либо его подчиненные;

*   пользователю отображаются только те мероприятия, в которых ответственным
менеджером является данный пользователь.

    > **Примечание**
    >
    > Данное требование будет реализовано позднее.

Компонент позволяет множественный выбор мероприятий (в том числе все мероприятия
или ни одного из них). По умолчанию выбраны все мероприятия.

Флаг "Показывать лиды, не привязанные к мероприятиям" определяет включение в
воронку лидов, для которых компонент [Мероприятие](#formLead) пуст. По
умолчанию флаг включен.

#### Пользователи {#marketing.users}

Параметр позволяет выбрать ответственного менеджера, чьи лиды отображены в
основной области, или группу пользователей. По умолчанию отображены лиды 
авторизованного пользователя.

В случае, если в фильтре выбирается группа пользователей, показатели лидов 
отображают суммарные значения для всех пользователей, входящих в выбранные 
группы и доступных авторизованному пользователю (сам пользователь и его 
подчиненные). 

Параметр содержит авторизованного пользователя, а также его подчиненных,
которые входят в группу "Маркетологи". Доступен множественный выбор пользователей 
или групп.

#### Фильтры {#marketing.filters}

Доступно два параметра фильтрации:

*   Период

*   Статус лида

При фильтрации лидов за период учитывается только факт смены значения в поле "Статус"
записи реестра [Лид](#registryLead). Если за указанный период значение этого поля
изменялось несколько раз, то в воронке учитывается только последнее изменение.

Параметр **"Период"** представлен выпадающим списком и двумя компонентами выбора даты,
разделенными тире.

Выпадающий список периода содержит пункты:

*   *"За все время"* - воронка содержит все лиды с момента создания записи реестра
до текущего времени на сервере. Этот пункт выбран по умолчанию.

*   *"Прошедшая неделя"* - учитываются только те лиды, у которых изменился статус
за последнюю неделю от текущего дня на сервере.

*   *"Прошедший месяц"* - учитываются только те лиды, у которых изменился статус
за последний месяц от текущего дня на сервере.

*   *"Прошедший квартал"* - учитываются только те лиды, у которых изменился статус
за последний квартал от текущего дня на сервере.

*   *"Прошедший год"* - учитываются только те лиды, у которых изменился статус за
последний год от текущего дня на сервере.

*   *"Произвольный период"* - учитываются только те лиды, у которых изменился статус
за указанный пользователем период. При выборе этого пункта активны компоненты выбора
даты.

Параметр **"Статус"** представлен выпадающим списком с пунктами:

- *"Все"* (учитываются все записи справочника
[`crm_dict_leadStatus`](#dictionaryLeadStatus) со значением `crm_dict_leadStatus_quality`=1),
пункт выбран по умолчанию;

- значение `crm_dict_leadStatus_name` записи справочника
[`crm_dict_leadStatus`](#dictionaryLeadStatus), у которой `crm_dict_leadStatus_end`=1;

- значения `crm_dict_leadStatus_name` всех записей справочника
[`crm_dict_leadStatus`](#dictionaryLeadStatus), у которой `crm_dict_leadStatus_quality`=0.
